Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.format.annotation
Enum DateTimeFormat.ISO

    java.lang.Object
      java.lang.Enum<DateTimeFormat.ISO>
          org.springframework.format.annotation.DateTimeFormat.ISO

All Implemented Interfaces:
  Serializable, Comparable<DateTimeFormat.ISO>

Enclosing class:
  DateTimeFormat

    public static enum DateTimeFormat.ISO

extends Enum<DateTimeFormat.ISO>

Common ISO date time format patterns.

Enum Constant Summary
`DATE` The most common ISO Date Format `yyyy-MM-dd` e.g.
`DATE_TIME` The most common ISO DateTime Format `yyyy-MM-dd'T'hh:mm:ss.SSSZ` e.g.
`NONE` Indicates that no ISO-based format pattern should be applied.
`TIME` The most common ISO Time Format `hh:mm:ss.SSSZ` e.g.

Method Summary
`static DateTimeFormat.ISO` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DateTimeFormat.ISO[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATE

    public static final DateTimeFormat.ISO DATE

  The most common ISO Date Format `yyyy-MM-dd` e.g. 2000-10-31.

### TIME

    public static final DateTimeFormat.ISO TIME

  The most common ISO Time Format `hh:mm:ss.SSSZ` e.g. 01:30:00.000-05:00.

### DATE_TIME

    public static final DateTimeFormat.ISO DATE_TIME

  The most common ISO DateTime Format `yyyy-MM-dd'T'hh:mm:ss.SSSZ` e.g. 2000-10-31 01:30:00.000-05:00. The default if no annotation value is specified.

### NONE

    public static final DateTimeFormat.ISO NONE

  Indicates that no ISO-based format pattern should be applied.

Method Detail

### values

    public static DateTimeFormat.ISO[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateTimeFormat.ISO c : DateTimeFormat.ISO.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateTimeFormat.ISO valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD